Update photo
curl --request PATCH \
--url https://api.buildpass.global/builders/{builderId}/photos/{photoId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"capturedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"fileName": "<string>",
"folderId": "<string>"
}
'import requests
url = "https://api.buildpass.global/builders/{builderId}/photos/{photoId}"
payload = {
"capturedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"fileName": "<string>",
"folderId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
capturedAt: '2023-11-07T05:31:56Z',
description: '<string>',
fileName: '<string>',
folderId: '<string>'
})
};
fetch('https://api.buildpass.global/builders/{builderId}/photos/{photoId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"builderId": "<string>",
"projectId": "<string>",
"folderId": "<string>",
"fileName": "<string>",
"contentType": "<string>",
"key": "<string>",
"fileSize": "<string>",
"description": "<string>",
"photoTakenDate": "2023-11-07T05:31:56Z",
"sortDate": "2023-11-07T05:31:56Z",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"imageUrl": "<string>"
}Photos
Update photo
PATCH
/
builders
/
{builderId}
/
photos
/
{photoId}
Update photo
Requires
write:photos. Updates gallery photo metadata including file name, description, captured date, or folder assignment. The response includes a fresh signed imageUrl.Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Response
200 - application/json
Photo updated
Short-lived signed URL for downloading the photo image.
⌘I